using System;


namespace ActionGame.RawResources.Models
{
    public class RawResource
    {
        public Int32 Key { get; set; }
        public String FilePath { get; set; }


        public bool Equals(RawResource obj)
        {
            return (this.Key == obj.Key);
        }

        public override string ToString()
        {
            return FilePath;
        }

        public static String GetCsvTitle()
        {
            return "Key,ResourcePath";
        }

        public String ToCsvString()
        {
            return Key.ToString() + "," + FilePath;
        }
    }
}
